'use strict';
app.factory('flashService', function () {
    
	var flashService = {};
	var original = document.title;
	var timeout;
	
	var _cancelFlashWindow = function (newMsg, howManyTimes) {
		clearTimeout(timeout);
		document.title = original;
	};
	
	var _flashWindow = function (newMsg, howManyTimes) {
		function step() {
			document.title = (document.title == original) ? newMsg : original;

			if (--howManyTimes > 0) {
				timeout = setTimeout(step, 1000);
			};
		};

		howManyTimes = parseInt(howManyTimes);

		if (isNaN(howManyTimes)) {
			howManyTimes = 5;
		};

		_cancelFlashWindow(timeout);
		step();
	};

    flashService.flashWindow = _flashWindow;
    flashService.cancelFlashWindow = _cancelFlashWindow;
	
    return flashService;
});

